import '../../stencil.core';
export declare class Demo {
    markup: Map<any, any>;
    currentMarkup: string;
    currentTag: string;
    textArea: HTMLElement;
    el: HTMLElement;
    tag: string;
    constructor();
    componentDidLoad(): void;
    componentDidUpdate(): void;
    initTextArea(): void;
    updateExample(): void;
    updateTextArea(): void;
    copyExample(ev: any): void;
    render(): JSX.Element;
}
